package jp.mydns.masahase.operateXML;

import java.io.InputStream;
import java.util.concurrent.Callable;

import javax.xml.bind.JAXBContext;
import javax.xml.bind.Unmarshaller;

import jp.mydns.masahase.InherentStrain.InherentStrainType;

public class InherentStrainUnMarshaller implements Callable<InherentStrainType> {
	InputStream in;

	public InherentStrainUnMarshaller(InputStream input) {
		in = input;
	}

	public InherentStrainType call() throws Exception {
		JAXBContext jaxbcont = JAXBContext
				.newInstance("jp.mydns.masahase.InherentStrain");
		Unmarshaller um = jaxbcont.createUnmarshaller();
		return (InherentStrainType) (um.unmarshal(in));
	}

}
